import request from '@/utils/request';

// 全域地图-图层分析-点位信息统计
export const getCountPointInfo = (params) => {
  return request({
    url: '/api/gateway/v1/get_count_point_info',
    method: 'get',
    params: params
  });
};

// 全域地图-图层分析-点位信息各区县分布统计
export const getCountPointInfoAreaList = (data) => {
  return request({
    url: '/api/gateway/v1/get_count_point_info_area_list',
    method: 'post',
    data: data
  });
};

// 专家分类统计
export const getEmergencyExpertType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_emergency_expert',
    method: 'post',
    data: data
  });
};

// 救援物资分类统计
export const getRescueMateriaType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_rescue_materia',
    method: 'post',
    data: data
  });
};

// 避难场所分类统计
export const getEmergencyShelterType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_emergency_shelter',
    method: 'post',
    data: data
  });
};

// 避难场所分类统计
export const getWaterloggedRoadsType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_waterlogged_roads',
    method: 'post',
    data: data
  });
};

// 学校分类统计
export const getSchoolType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_school',
    method: 'post',
    data: data
  });
};

// 医院分类统计
export const getHospitalType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_hospital',
    method: 'post',
    data: data
  });
};

// 生计渔船分类统计
export const getShipType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_ship_realtilme_positioninfo',
    method: 'post',
    data: data
  });
};

// 非煤矿山分类统计
export const getMiningType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_mining_company',
    method: 'post',
    data: data
  });
};

// 加油站分类统计
export const getGasolineType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_gasoline_station',
    method: 'post',
    data: data
  });
};

// 危化企业分类统计
export const getChemicalType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_chemical_company',
    method: 'post',
    data: data
  });
};

// 无人机分类统计
export const getDroneType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_drone',
    method: 'post',
    data: data
  });
};

// 旅游场所分类统计
export const getTouristAttractionType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_tourist_attraction',
    method: 'post',
    data: data
  });
};

// 堆场分类统计
export const getYardSitesType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_yard_sites',
    method: 'post',
    data: data
  });
};
//在建工地类统计-有问题
export const getConstructionSitesType = (data) =>
  request({
    url: '/api/gateway/v2/get_count_point_info_type_under_construction_sites',
    method: 'post',
    data: data
  });

// 客运站分类统计
export const getStationInfoType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_station_info',
    method: 'post',
    data: data
  });
};

// 建筑工程分类统计
export const getBuildingProjectType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_building_project_info',
    method: 'post',
    data: data
  });
};

// 重大危险源分类统计
export const getMajorHazardSourceType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_major_hazard_source',
    method: 'post',
    data: data
  });
};

// 储罐分类统计
export const getChemicalWarehouseType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_chemical_warehouse',
    method: 'post',
    data: data
  });
};

// 矿山施工分类统计
export const getMiningOperationsType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_mining_operations',
    method: 'post',
    data: data
  });
};

// 运输物资分类统计
export const getEmergencyTransportResourcesType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_emergency_transport_resources',
    method: 'post',
    data: data
  });
};

// 灾害信息员分类统计
export const getEmergencyDisasterInfoOfficerType = (data) => {
  return request({
    url: '/api/gateway/v2/get_count_point_info_type_emergency_disaster_info_officer',
    method: 'post',
    data: data
  });
};
